Page MenuHomePhabricator

MobileGateway: Please turn off main page special casing for lawiki
Closed, ResolvedPublic

Description

Currently, only selected contents of the lawiki main page are shown in mobile view (the ones with id="mf-*" or id="mp-*"). Please change the site config so that all contents of the lawiki main page are shown on mobile view just as they are shown on desktop view, per mw:Mobile Gateway/Mobile homepage formatting#Deprecation steps for wikis using MFSpecialCaseMainPage. Thank you in advance!

Event Timeline

UV created this task.Feb 9 2019, 9:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 9 2019, 9:06 PM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptFeb 9 2019, 10:31 PM

Change 489420 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Remove main page special casing from lawiki

https://gerrit.wikimedia.org/r/489420

Zoranzoki21 moved this task from Inbox to To deploy on the User-Zoranzoki21 board.Feb 9 2019, 10:40 PM
Zoranzoki21 moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
Zoranzoki21 moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.
Jdlrobson added a subscriber: Jdlrobson.

Looks like this is scheduled for SWAT in less than a hour. Happy to help test this :)

Change 489420 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove main page special casing from lawiki

https://gerrit.wikimedia.org/r/489420

Mentioned in SAL (#wikimedia-operations) [2019-02-11T19:34:50Z] <catrope@deploy1001> Synchronized dblists/mobilemainpagelegacy.dblist: Remove main page special casing from lawiki (T215709) (duration: 00m 46s)

Should this be closed as resolved?

Jdlrobson closed this task as Resolved.Feb 11 2019, 8:21 PM